<?php

/**
* Geeklog common library
*/
require_once('../lib-common.php');

if ($_GET['cmd'] <> 'install') {
    // Make sure the fortune plug-in is installed and enabled.  All text is
    // in english since we have no gaurantee the language file is even exists
    // until we do both checks.
    if (DB_count($_TABLES['plugins'],'pi_name','fortune') == 0) {
        $display = COM_siteHeader();
        $display .= COM_startBlock('Critical Error');
        $display .= 'The fortune plug-in has not been fully installed';
        $display .= COM_endBlock();
        $display .= COM_siteFooter(true);
        echo $display;
        exit;
    }

    if (DB_getItem($_TABLES['plugins'],'pi_enabled',"pi_name = 'fortune'") == 0) {
        $display = COM_siteHeader();
        $display .= COM_startBlock('Critical Error');
        $display .= 'The fortune plug-in is not enabled';
        $display .= COM_endBlock();
        $display .= COM_siteFooter(true);
        echo $display;
        exit;
    }
}

/**
* Fortune controller object
*/
require_once($_CONF['path'] . 'plugins/fortune/controller.class.php');

/**
* Set a default command
*/
if (empty($_POST['cmd']) AND empty($_GET['cmd'])) {
    $_POST['cmd'] = 'showFortunes';
}

// Instantiate controller so it can delgate the work
$controller = &new controller();
$display .= $controller->doAction();

// Have to do this because a bug in GL causes the header to be
// written to the screen instead of put into a string
$display = COM_siteHeader() . $display;
$display .= COM_siteFooter(true);

echo $display;

?>
